<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:Ecore="http://www.eclipse.org/uml2/schemas/Ecore/5" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xsi:schemaLocation="http://www.eclipse.org/uml2/schemas/Ecore/5 pathmap://UML_PROFILES/Ecore.profile.uml#_z1OFcHjqEdy8S4Cr8Rc_NA">
  <uml:Profile xmi:id="_maf6UO-vEeuxCbW4mH-AcQ" name="OPC_UA" metaclassReference="_vtxxoO-xEeuxCbW4mH-AcQ _nH8K8O-2EeuxCbW4mH-AcQ _zTwy4PBLEeuxCbW4mH-AcQ _SdsWEPFOEeu1LZry37sgoA">
    <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_-Jxj0AvOEeyPg6lOHODtFg" source="http://www.eclipse.org/uml2/2.0.0/UML">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_FGCxMFKCEeywzblXTsFhKw" source="PapyrusVersion">
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_FGCxMVKCEeywzblXTsFhKw" key="Version" value="0.0.0"/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_FGCxMlKCEeywzblXTsFhKw" key="Comment" value="&lt;undefined>"/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_FGCxM1KCEeywzblXTsFhKw" key="Copyright" value=""/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_FGCxNFKCEeywzblXTsFhKw" key="Date" value=""/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_FGCxNVKCEeywzblXTsFhKw" key="Author" value="&lt;undefined>"/>
      </eAnnotations>
    </eAnnotations>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_vtxxoO-xEeuxCbW4mH-AcQ" alias="Class">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_nH8K8O-2EeuxCbW4mH-AcQ" alias="Interface">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Interface"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_zTwy4PBLEeuxCbW4mH-AcQ" alias="Enumeration">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Enumeration"/>
    </elementImport>
    <elementImport xmi:type="uml:ElementImport" xmi:id="_SdsWEPFOEeu1LZry37sgoA" alias="Property">
      <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
    </elementImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_mc9YcO-vEeuxCbW4mH-AcQ">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packageImport xmi:type="uml:PackageImport" xmi:id="_mc9_gO-vEeuxCbW4mH-AcQ">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_METAMODELS/UML.metamodel.uml#_0"/>
    </packageImport>
    <packagedElement xmi:type="uml:Model" href="OPC_UA.library.uml#_5lAO0N8xEeuf_uz3Oaeyuw"/>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_xkvTQO-xEeuxCbW4mH-AcQ" name="BaseObjectType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_VW0Pge-yEeuxCbW4mH-AcQ" name="base_Class" association="_VWzocO-yEeuxCbW4mH-AcQ">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_VW0Pgu-yEeuxCbW4mH-AcQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_YQUzQO-yEeuxCbW4mH-AcQ" name="NodeId">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_kVYgkO-yEeuxCbW4mH-AcQ" value="i=58"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_mkp0gO-yEeuxCbW4mH-AcQ" name="NamespaceUri">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_qOyj8O-yEeuxCbW4mH-AcQ" value="http://opcfoundation.org/UA/"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_rm4_UO-yEeuxCbW4mH-AcQ" name="BrowseName">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_xDgZAO-yEeuxCbW4mH-AcQ" name="BaseObjectType" value=""/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_x3IOUO-yEeuxCbW4mH-AcQ" name="NodeClass">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_jyyUYO-zEeuxCbW4mH-AcQ" value="ObjectType"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yAFLcO-xEeuxCbW4mH-AcQ" name="DataTypeSystemType">
      <generalization xmi:type="uml:Generalization" xmi:id="_HrIl0O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yFTCoO-xEeuxCbW4mH-AcQ" name="ModellingRuleType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NbsPMO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yLejIO-xEeuxCbW4mH-AcQ" name="ServerType">
      <generalization xmi:type="uml:Generalization" xmi:id="_QyM4AO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yXzu8O-xEeuxCbW4mH-AcQ" name="FolderType">
      <generalization xmi:type="uml:Generalization" xmi:id="_E9bCYO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yhB8YO-xEeuxCbW4mH-AcQ" name="DataTypeEncodingType">
      <generalization xmi:type="uml:Generalization" xmi:id="_H2p5UO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_yzEHkO-xEeuxCbW4mH-AcQ" name="ServerCapabilitiesType">
      <generalization xmi:type="uml:Generalization" xmi:id="_QHtJgO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_VWzocO-yEeuxCbW4mH-AcQ" name="E_BaseObjectType_Class11" memberEnd="_VW0PgO-yEeuxCbW4mH-AcQ _VW0Pge-yEeuxCbW4mH-AcQ">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_VW0PgO-yEeuxCbW4mH-AcQ" name="extension_BaseObjectType" type="_xkvTQO-xEeuxCbW4mH-AcQ" aggregation="composite" association="_VWzocO-yEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_zbKXcO-zEeuxCbW4mH-AcQ" name="ServerDiagnosticsType">
      <generalization xmi:type="uml:Generalization" xmi:id="_QkMRMO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0wqKwO-zEeuxCbW4mH-AcQ" name="SessionsDiagnosticsSummaryType">
      <generalization xmi:type="uml:Generalization" xmi:id="_RRbKoO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_01V2cO-zEeuxCbW4mH-AcQ" name="SessionDiagnosticsObjectType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Q5Cf0O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_06h4cO-zEeuxCbW4mH-AcQ" name="VendorServerInfoType">
      <generalization xmi:type="uml:Generalization" xmi:id="_R_8dgO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0_nMwO-zEeuxCbW4mH-AcQ" name="ServerRedundancyType">
      <generalization xmi:type="uml:Generalization" xmi:id="_QrQigO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_1HA1QO-zEeuxCbW4mH-AcQ" name="FileType">
      <generalization xmi:type="uml:Generalization" xmi:id="_GgpvsO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_1UDLsO-zEeuxCbW4mH-AcQ" name="NamespacesType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NrK1oO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_1hGwQO-zEeuxCbW4mH-AcQ" name="BaseEventType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Klca0O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_1pwV8O-zEeuxCbW4mH-AcQ" name="AggregateFunctionType">
      <generalization xmi:type="uml:Generalization" xmi:id="_LdjHgO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_1yGZoO-zEeuxCbW4mH-AcQ" name="StateMachineType">
      <generalization xmi:type="uml:Generalization" xmi:id="_RYA60O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_15olAO-zEeuxCbW4mH-AcQ" name="StateType">
      <generalization xmi:type="uml:Generalization" xmi:id="_RfRZYO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_2Dsf8O-zEeuxCbW4mH-AcQ" name="NamespaceMetadataType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NjrGgO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_jZUZkO-1EeuxCbW4mH-AcQ" name="WriterGroupMessageType">
      <generalization xmi:type="uml:Generalization" xmi:id="_SW7aIO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_M4cDEO-0EeuxCbW4mH-AcQ" name="TransitionType">
      <generalization xmi:type="uml:Generalization" xmi:id="_R3OmYO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_NeUXUO-0EeuxCbW4mH-AcQ" name="TemporaryFileTransferType">
      <generalization xmi:type="uml:Generalization" xmi:id="_RvPvEO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_NmcYkO-0EeuxCbW4mH-AcQ" name="RoleSetType">
      <generalization xmi:type="uml:Generalization" xmi:id="_PvNJ8O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_NuAZIO-0EeuxCbW4mH-AcQ" name="RoleType">
      <generalization xmi:type="uml:Generalization" xmi:id="_P31hgO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_N02oAO-0EeuxCbW4mH-AcQ" name="BaseInterfaceType">
      <generalization xmi:type="uml:Generalization" xmi:id="_KYFUQO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_oNePoe-2EeuxCbW4mH-AcQ" name="base_Interface" association="_oNdokO-2EeuxCbW4mH-AcQ">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Interface"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_oNePou-2EeuxCbW4mH-AcQ"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_OBJ-oO-0EeuxCbW4mH-AcQ" name="DictionaryEntryType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Hf5mMO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_YiDKgO-0EeuxCbW4mH-AcQ" name="OrderedListType">
      <generalization xmi:type="uml:Generalization" xmi:id="_N-T0EO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_YrezUO-0EeuxCbW4mH-AcQ" name="BaseConditionClassType">
      <generalization xmi:type="uml:Generalization" xmi:id="_KuKR8O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Y1aycO-0EeuxCbW4mH-AcQ" name="AlarmMetricsType">
      <generalization xmi:type="uml:Generalization" xmi:id="_LKx8gO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Y93j0O-0EeuxCbW4mH-AcQ" name="HistoricalDataConfigurationType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NEf3MO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_ZGKkMO-0EeuxCbW4mH-AcQ" name="HistoryServerCapabilitiesType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NMCCkO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_ZNhwcO-0EeuxCbW4mH-AcQ" name="CertificateGroupType">
      <generalization xmi:type="uml:Generalization" xmi:id="_J1ngYO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_ZjDUgO-0EeuxCbW4mH-AcQ" name="CertificateType">
      <generalization xmi:type="uml:Generalization" xmi:id="_JrzdEO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Zskc4O-0EeuxCbW4mH-AcQ" name="ServerConfigurationType">
      <generalization xmi:type="uml:Generalization" xmi:id="_QZfdEO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Z1rVkO-0EeuxCbW4mH-AcQ" name="KeyCredentialConfigurationType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NT3v8O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Z90k8O-0EeuxCbW4mH-AcQ" name="AuthorizationServiceConfigurationType">
      <generalization xmi:type="uml:Generalization" xmi:id="_K3DIMO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_aG6PgO-0EeuxCbW4mH-AcQ" name="AggregateConfigurationType">
      <generalization xmi:type="uml:Generalization" xmi:id="_LmKQ8O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_abCFYO-0EeuxCbW4mH-AcQ" name="PubSubKeyServiceType">
      <generalization xmi:type="uml:Generalization" xmi:id="_O_wqAO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_iLUVYO-1EeuxCbW4mH-AcQ" name="SecurityGroupType">
      <generalization xmi:type="uml:Generalization" xmi:id="_P_r18O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_ihVosO-1EeuxCbW4mH-AcQ" name="PublishedDataSetType">
      <generalization xmi:type="uml:Generalization" xmi:id="_OZ4VwO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_irWgUO-1EeuxCbW4mH-AcQ" name="ExtensionFieldsType">
      <generalization xmi:type="uml:Generalization" xmi:id="_G79ysO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_iyx-AO-1EeuxCbW4mH-AcQ" name="PubSubConnectionType">
      <generalization xmi:type="uml:Generalization" xmi:id="_OnFrUO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_i7LFAO-1EeuxCbW4mH-AcQ" name="ConnectionTransportType">
      <generalization xmi:type="uml:Generalization" xmi:id="_JhH3EO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_jD9NkO-1EeuxCbW4mH-AcQ" name="PubSubGroupType">
      <generalization xmi:type="uml:Generalization" xmi:id="_O25o8O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_jPVXIO-1EeuxCbW4mH-AcQ" name="WriterGroupTransportType">
      <generalization xmi:type="uml:Generalization" xmi:id="_SutA8O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_jgupIO-1EeuxCbW4mH-AcQ" name="ReaderGroupTransportType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Pnv3EO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_joNKIO-1EeuxCbW4mH-AcQ" name="ReaderGroupMessageType">
      <generalization xmi:type="uml:Generalization" xmi:id="_PfkygO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_jw1hsO-1EeuxCbW4mH-AcQ" name="DataSetWriterType">
      <generalization xmi:type="uml:Generalization" xmi:id="_IC6zsO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_j_ZiIO-1EeuxCbW4mH-AcQ" name="DataSetWriterTransportType">
      <generalization xmi:type="uml:Generalization" xmi:id="_IQTIYO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_zxhXEO-1EeuxCbW4mH-AcQ" name="DataSetWriterMessageType">
      <generalization xmi:type="uml:Generalization" xmi:id="_IdOxIO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_z8EaMO-1EeuxCbW4mH-AcQ" name="DataSetReaderType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Iwo1UO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0DvvgO-1EeuxCbW4mH-AcQ" name="DataSetReaderTransportType">
      <generalization xmi:type="uml:Generalization" xmi:id="_I7Pi0O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0LFtoO-1EeuxCbW4mH-AcQ" name="DataSetReaderMessageType">
      <generalization xmi:type="uml:Generalization" xmi:id="_JHhEQO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0TbKQO-1EeuxCbW4mH-AcQ" name="SubscribedDataSetType">
      <generalization xmi:type="uml:Generalization" xmi:id="_RmPkEO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_0hEksO-1EeuxCbW4mH-AcQ" name="PubSubStatusType">
      <generalization xmi:type="uml:Generalization" xmi:id="_PHBvoO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_-EsQAO-1EeuxCbW4mH-AcQ" name="PubSubDiagnosticsType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Ou7YsO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_-P6BgO-1EeuxCbW4mH-AcQ" name="NetworkAddressType">
      <generalization xmi:type="uml:Generalization" xmi:id="_NzNXUO-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_-Z9VYO-1EeuxCbW4mH-AcQ" name="AliasNameType">
      <generalization xmi:type="uml:Generalization" xmi:id="_LAdi4O-2EeuxCbW4mH-AcQ" general="_xkvTQO-xEeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_oNdokO-2EeuxCbW4mH-AcQ" name="E_BaseInterfaceType_Interface65" memberEnd="_oNePoO-2EeuxCbW4mH-AcQ _oNePoe-2EeuxCbW4mH-AcQ">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_oNePoO-2EeuxCbW4mH-AcQ" name="extension_BaseInterfaceType" type="_N02oAO-0EeuxCbW4mH-AcQ" aggregation="composite" association="_oNdokO-2EeuxCbW4mH-AcQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_Zg_oQPEjEeuXtdUxhIUgvQ" name="BaseVariableType">
      <ownedAttribute xmi:type="uml:Property" xmi:id="_fujWsPEjEeuXtdUxhIUgvQ" name="base_Class" association="_fuiIkPEjEeuXtdUxhIUgvQ">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_fujWsfEjEeuXtdUxhIUgvQ"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_S97VUfFOEeu1LZry37sgoA" name="base_Property" association="_S95gIPFOEeu1LZry37sgoA">
        <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
        <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_S97VUvFOEeu1LZry37sgoA"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_WECKoPFOEeu1LZry37sgoA" name="ValueRank">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_brBBQPFOEeu1LZry37sgoA" value="ValueRank"/>
      </ownedAttribute>
      <ownedAttribute xmi:type="uml:Property" xmi:id="_dYoZoPFOEeu1LZry37sgoA" name="DataType">
        <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
        <defaultValue xmi:type="uml:LiteralString" xmi:id="_hyhyEPFOEeu1LZry37sgoA" value="BaseDataType"/>
      </ownedAttribute>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_fuiIkPEjEeuXtdUxhIUgvQ" name="E_BaseVariableType_Class70" memberEnd="_fuivoPEjEeuXtdUxhIUgvQ _fujWsPEjEeuXtdUxhIUgvQ">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_fuivoPEjEeuXtdUxhIUgvQ" name="extension_BaseVariableType" type="_Zg_oQPEjEeuXtdUxhIUgvQ" aggregation="composite" association="_fuiIkPEjEeuXtdUxhIUgvQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_FqZpwPFOEeu1LZry37sgoA" name="BaseDataVariableType">
      <generalization xmi:type="uml:Generalization" xmi:id="_JzlssPFOEeu1LZry37sgoA" general="_Zg_oQPEjEeuXtdUxhIUgvQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_HSdzwPFOEeu1LZry37sgoA" name="PropertyType">
      <generalization xmi:type="uml:Generalization" xmi:id="_JTnMIPFOEeu1LZry37sgoA" general="_Zg_oQPEjEeuXtdUxhIUgvQ"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Extension" xmi:id="_S95gIPFOEeu1LZry37sgoA" name="E_BaseVariableType_Property77" memberEnd="_S97VUPFOEeu1LZry37sgoA _S97VUfFOEeu1LZry37sgoA">
      <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_S97VUPFOEeu1LZry37sgoA" name="extension_BaseVariableType" type="_Zg_oQPEjEeuXtdUxhIUgvQ" aggregation="composite" association="_S95gIPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_qo584PFOEeu1LZry37sgoA" name="ServerVendorCapabilityType">
      <generalization xmi:type="uml:Generalization" xmi:id="_tvwZEPFOEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_vKppwPFOEeu1LZry37sgoA" name="SamplingIntervalDiagnosticsArrayType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Gy4fUPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_vSpvMPFOEeu1LZry37sgoA" name="SamplingIntervalDiagnosticsType">
      <generalization xmi:type="uml:Generalization" xmi:id="_HYUusPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_vbpTIPFOEeu1LZry37sgoA" name="SubscriptionDiagnosticsArrayType">
      <generalization xmi:type="uml:Generalization" xmi:id="_H51gUPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_vjzJkPFOEeu1LZry37sgoA" name="SubscriptionDiagnosticsType">
      <generalization xmi:type="uml:Generalization" xmi:id="_IeEOwPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_vrvkoPFOEeu1LZry37sgoA" name="SessionDiagnosticsArrayType">
      <generalization xmi:type="uml:Generalization" xmi:id="_MNrUEPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_vz3l4PFOEeu1LZry37sgoA" name="SessionDiagnosticsVariableType">
      <generalization xmi:type="uml:Generalization" xmi:id="_LmrlgPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_v7yLwPFOEeu1LZry37sgoA" name="SessionSecurityDiagnosticsArrayType"/>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_wEHoYPFOEeu1LZry37sgoA" name="SessionSecurityDiagnosticsType"/>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_wQScIPFOEeu1LZry37sgoA" name="OptionSetType">
      <generalization xmi:type="uml:Generalization" xmi:id="_FGCKIFKCEeywzblXTsFhKw" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_w7LMMPFOEeu1LZry37sgoA" name="ServerDiagnosticsSummaryType">
      <generalization xmi:type="uml:Generalization" xmi:id="_I-UcIPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_xF4nYPFOEeu1LZry37sgoA" name="BuildInfoType">
      <generalization xmi:type="uml:Generalization" xmi:id="_Jiv-4PFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Stereotype" xmi:id="_xQ_rMPFOEeu1LZry37sgoA" name="ServerStatusType">
      <generalization xmi:type="uml:Generalization" xmi:id="_KvwkkPFPEeu1LZry37sgoA" general="_FqZpwPFOEeu1LZry37sgoA"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_bdHwQPB_EeuWOsRU4Brfyg">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_bdI-YPB_EeuWOsRU4Brfyg" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="pathmap://UML_PROFILES/Ecore.profile.uml#_z1OFcHjqEdy8S4Cr8Rc_NA"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://UML_PROFILES/Ecore.profile.uml#_0"/>
    </profileApplication>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_4XggEPE8Eeu1LZry37sgoA">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_4XiVQPE8Eeu1LZry37sgoA" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/Codegen/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://Codegen_PROFILES/Codegen.profile.uml#_fPDsIBa-EearhdjjJ6cVzQ"/>
    </profileApplication>
  </uml:Profile>
  <Ecore:EPackage xmi:id="_csY_wPB_EeuWOsRU4Brfyg" base_Package="_maf6UO-vEeuxCbW4mH-AcQ" packageName="opcuaprofile" nsPrefix="OPCUAProfile" nsURI="http://Papyrus/OPCUA" basePackage="org.eclipse.papyrus.opcua" prefix="OPCUAProfile"/>
</xmi:XMI>
